#

Function COPY-PPRINT-DISPATCH

Syntax:

copy-pprint-dispatch `&optional` table => new-table

Arguments and Values:

table---a pprint dispatch table, or nil.

new-table---a fresh pprint dispatch table.

Description:

Creates and returns a copy of the specified table, or of the value of *print-pprint-dispatch* if no table is specified, or of the initial value of *print-pprint-dispatch* if nil is specified.

Examples: None.

Side Effects: None.

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if table is not a pprint dispatch table.

See Also: None.

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- PRETTY-PRINT-INTERFACE

Copyright 1996-2001, Xanalys Inc. All rights reserved.